Update postmortem template

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

PATCH https://api.ap1.datadoghq.com/api/v2/incidents/config/postmortem-templates/{template_id}https://api.ap2.datadoghq.com/api/v2/incidents/config/postmortem-templates/{template_id}https://api.datadoghq.eu/api/v2/incidents/config/postmortem-templates/{template_id}https://api.ddog-gov.com/api/v2/incidents/config/postmortem-templates/{template_id}https://api.us2.ddog-gov.com/api/v2/incidents/config/postmortem-templates/{template_id}https://api.uk1.datadoghq.com/api/v2/incidents/config/postmortem-templates/{template_id}https://api.datadoghq.com/api/v2/incidents/config/postmortem-templates/{template_id}https://api.us3.datadoghq.com/api/v2/incidents/config/postmortem-templates/{template_id}https://api.us5.datadoghq.com/api/v2/incidents/config/postmortem-templates/{template_id}

Présentation

Mettez à jour un modèle post-mortem existant.

Arguments

Paramètres du chemin

Nom

Type

Description

template_id [required]

string

The ID of the postmortem template.

Requête

Body Data (required)

Expand All

Champ

Type

Description

data [required]

object

Data object for creating or updating a postmortem template.

attributes [required]

object

Attributes for creating or updating a postmortem template.

confluence_postmortem_settings

object

Settings for a postmortem template stored in Confluence. Required when location is confluence.

account_id [required]

string

The ID of the Confluence integration account.

parent_id

string

The ID of the parent Confluence page under which postmortems are created.

space_id [required]

string

The ID of the Confluence space where postmortems are created.

content

string

The templated content of the postmortem, supporting Markdown and incident template variables.

google_docs_postmortem_settings

object

Settings for a postmortem template stored in Google Docs. Required when location is google_docs.

account_id [required]

string

The ID of the Google Drive integration account.

parent_folder_id [required]

string

The ID of the Google Drive folder where postmortems are created.

is_default

date-time

When set, marks this template as a default. The effective default for an incident type is the template with the most recent is_default timestamp. Set to null to unset.

location

enum

The location where the postmortem is created and stored. Allowed enum values: datadog_notebooks,confluence,google_docs

default: datadog_notebooks

name [required]

string

The name of the template.

id

string

The ID of the template. Required when updating.

relationships

object

Relationships for a postmortem template. incident_type is required when creating a template and is immutable afterwards.

incident_type

object

Relationship to the incident type this template belongs to.

data [required]

object

Incident type relationship data.

id [required]

uuid

The incident type identifier.

type [required]

string

The incident type resource type.

type [required]

enum

Postmortem template resource type. Allowed enum values: postmortem_templates,postmortem_template

{
  "data": {
    "attributes": {
      "confluence_postmortem_settings": {
        "account_id": "123456",
        "parent_id": "345678",
        "space_id": "789012"
      },
      "content": "# Overview\n\n# What Happened\n\n# Timeline\n\n# Action Items",
      "google_docs_postmortem_settings": {
        "account_id": "123456",
        "parent_folder_id": "789012"
      },
      "is_default": "2024-01-01T00:00:00+00:00",
      "location": "datadog_notebooks",
      "name": "Standard Postmortem Template"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000009",
          "type": "incident_types"
        }
      }
    },
    "type": "postmortem_templates"
  }
}

Réponse

OK

Response containing a single postmortem template.

Expand All

Champ

Type

Description

data [required]

object

Data object for a postmortem template returned in a response.

attributes [required]

object

Attributes of a postmortem template returned in a response.

confluence_postmortem_settings

object

Settings for a postmortem template stored in Confluence. Required when location is confluence.

account_id [required]

string

The ID of the Confluence integration account.

parent_id

string

The ID of the parent Confluence page under which postmortems are created.

space_id [required]

string

The ID of the Confluence space where postmortems are created.

content [required]

string

The templated content of the postmortem, supporting Markdown and incident template variables.

createdAt [required]

date-time

When the template was created.

google_docs_postmortem_settings

object

Settings for a postmortem template stored in Google Docs. Required when location is google_docs.

account_id [required]

string

The ID of the Google Drive integration account.

parent_folder_id [required]

string

The ID of the Google Drive folder where postmortems are created.

is_default [required]

date-time

When set, marks this template as a default. The effective default for an incident type is the template with the most recent is_default timestamp.

location [required]

enum

The location where the postmortem is created and stored. Allowed enum values: datadog_notebooks,confluence,google_docs

default: datadog_notebooks

modifiedAt [required]

date-time

When the template was last modified.

name [required]

string

The name of the template.

id [required]

string

The ID of the template.

relationships

object

Relationships of a postmortem template returned in a response.

incident_type

object

Relationship to the incident type this template belongs to.

data [required]

object

Incident type relationship data.

id [required]

uuid

The incident type identifier.

type [required]

string

The incident type resource type.

last_modified_by_user

object

Relationship to a user.

data [required]

object

User relationship data.

id [required]

uuid

The user identifier.

type [required]

string

The user resource type.

type [required]

enum

Postmortem template resource type. Allowed enum values: postmortem_templates,postmortem_template

{
  "data": {
    "attributes": {
      "confluence_postmortem_settings": {
        "account_id": "123456",
        "parent_id": "345678",
        "space_id": "789012"
      },
      "content": "# Overview\n\n# What Happened\n\n# Timeline\n\n# Action Items",
      "createdAt": "2026-01-13T17:15:53.208340Z",
      "google_docs_postmortem_settings": {
        "account_id": "123456",
        "parent_folder_id": "789012"
      },
      "is_default": "2024-01-01T00:00:00+00:00",
      "location": "datadog_notebooks",
      "modifiedAt": "2026-01-13T17:15:53.208340Z",
      "name": "Standard Postmortem Template"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000009",
          "type": "incident_types"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "users"
        }
      }
    },
    "type": "postmortem_templates"
  }
}

Bad Request

API error response.

Expand All

Champ

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

Champ

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Champ

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Exemple de code

                  ## default
# 

# Path parameters
export template_id="00000000-0000-0000-0000-000000000000"
# Curl command
curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/postmortem-templates/${template_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "name": "Standard Postmortem Template" }, "id": "00000000-0000-0000-0000-000000000004", "type": "postmortem_templates" } } EOF
"""
Update postmortem template returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.incidents_api import IncidentsApi
from datadog_api_client.v2.model.postmortem_template_attributes_request import PostmortemTemplateAttributesRequest
from datadog_api_client.v2.model.postmortem_template_data_request import PostmortemTemplateDataRequest
from datadog_api_client.v2.model.postmortem_template_request import PostmortemTemplateRequest
from datadog_api_client.v2.model.postmortem_template_type import PostmortemTemplateType

body = PostmortemTemplateRequest(
    data=PostmortemTemplateDataRequest(
        attributes=PostmortemTemplateAttributesRequest(
            name="Standard Postmortem Template",
        ),
        type=PostmortemTemplateType.POSTMORTEM_TEMPLATE,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_incident_postmortem_template"] = True
with ApiClient(configuration) as api_client:
    api_instance = IncidentsApi(api_client)
    response = api_instance.update_incident_postmortem_template(template_id="template-456", body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Update postmortem template returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_incident_postmortem_template".to_sym] = true
end
api_instance = DatadogAPIClient::V2::IncidentsAPI.new

body = DatadogAPIClient::V2::PostmortemTemplateRequest.new({
  data: DatadogAPIClient::V2::PostmortemTemplateDataRequest.new({
    attributes: DatadogAPIClient::V2::PostmortemTemplateAttributesRequest.new({
      confluence_postmortem_settings: DatadogAPIClient::V2::ConfluencePostmortemSettings.new({
        account_id: "123456",
        parent_id: "345678",
        space_id: "789012",
      }),
      content: '# Overview\n\n# What Happened\n\n# Timeline\n\n# Action Items',
      google_docs_postmortem_settings: DatadogAPIClient::V2::GoogleDocsPostmortemSettings.new({
        account_id: "123456",
        parent_folder_id: "789012",
      }),
      is_default: "2024-01-01T00:00:00+00:00",
      location: DatadogAPIClient::V2::PostmortemTemplateLocation::DATADOG_NOTEBOOKS,
      name: "Standard Postmortem Template",
    }),
    id: "00000000-0000-0000-0000-000000000000",
    relationships: DatadogAPIClient::V2::PostmortemTemplateCreateRelationships.new({
      incident_type: DatadogAPIClient::V2::PostmortemTemplateIncidentTypeRelationship.new({
        data: DatadogAPIClient::V2::PostmortemTemplateIncidentTypeRelationshipData.new({
          id: "00000000-0000-0000-0000-000000000009",
          type: "incident_types",
        }),
      }),
    }),
    type: DatadogAPIClient::V2::PostmortemTemplateType::POSTMORTEM_TEMPLATES,
  }),
})
p api_instance.update_incident_postmortem_template("template_id", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Update postmortem template returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"
	"time"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.PostmortemTemplateRequest{
		Data: datadogV2.PostmortemTemplateDataRequest{
			Attributes: datadogV2.PostmortemTemplateAttributesRequest{
				ConfluencePostmortemSettings: &datadogV2.ConfluencePostmortemSettings{
					AccountId: "123456",
					ParentId:  *datadog.NewNullableString(datadog.PtrString("345678")),
					SpaceId:   "789012",
				},
				Content: datadog.PtrString(`# Overview

# What Happened

# Timeline

# Action Items`),
				GoogleDocsPostmortemSettings: &datadogV2.GoogleDocsPostmortemSettings{
					AccountId:      "123456",
					ParentFolderId: "789012",
				},
				IsDefault: *datadog.NewNullableTime(datadog.PtrTime(time.Date(2024, 1, 1, 0, 0, 0, 0, time.UTC))),
				Location:  datadogV2.POSTMORTEMTEMPLATELOCATION_DATADOG_NOTEBOOKS.Ptr(),
				Name:      "Standard Postmortem Template",
			},
			Id: datadog.PtrString("00000000-0000-0000-0000-000000000000"),
			Relationships: &datadogV2.PostmortemTemplateCreateRelationships{
				IncidentType: &datadogV2.PostmortemTemplateIncidentTypeRelationship{
					Data: datadogV2.PostmortemTemplateIncidentTypeRelationshipData{
						Id:   uuid.MustParse("00000000-0000-0000-0000-000000000009"),
						Type: "incident_types",
					},
				},
			},
			Type: datadogV2.POSTMORTEMTEMPLATETYPE_POSTMORTEM_TEMPLATES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateIncidentPostmortemTemplate", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIncidentsApi(apiClient)
	resp, r, err := api.UpdateIncidentPostmortemTemplate(ctx, "template_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.UpdateIncidentPostmortemTemplate`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.UpdateIncidentPostmortemTemplate`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Update postmortem template returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IncidentsApi;
import com.datadog.api.client.v2.model.PostmortemTemplateAttributesRequest;
import com.datadog.api.client.v2.model.PostmortemTemplateDataRequest;
import com.datadog.api.client.v2.model.PostmortemTemplateRequest;
import com.datadog.api.client.v2.model.PostmortemTemplateResponse;
import com.datadog.api.client.v2.model.PostmortemTemplateType;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateIncidentPostmortemTemplate", true);
    IncidentsApi apiInstance = new IncidentsApi(defaultClient);

    PostmortemTemplateRequest body =
        new PostmortemTemplateRequest()
            .data(
                new PostmortemTemplateDataRequest()
                    .attributes(
                        new PostmortemTemplateAttributesRequest()
                            .name("Standard Postmortem Template"))
                    .type(PostmortemTemplateType.POSTMORTEM_TEMPLATE));

    try {
      PostmortemTemplateResponse result =
          apiInstance.updateIncidentPostmortemTemplate("template-456", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IncidentsApi#updateIncidentPostmortemTemplate");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Update postmortem template returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;
use datadog_api_client::datadogV2::model::PostmortemTemplateAttributesRequest;
use datadog_api_client::datadogV2::model::PostmortemTemplateDataRequest;
use datadog_api_client::datadogV2::model::PostmortemTemplateRequest;
use datadog_api_client::datadogV2::model::PostmortemTemplateType;

#[tokio::main]
async fn main() {
    let body = PostmortemTemplateRequest::new(PostmortemTemplateDataRequest::new(
        PostmortemTemplateAttributesRequest::new("Standard Postmortem Template".to_string()),
        PostmortemTemplateType::POSTMORTEM_TEMPLATE,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateIncidentPostmortemTemplate", true);
    let api = IncidentsAPI::with_config(configuration);
    let resp = api
        .update_incident_postmortem_template("template-456".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Update postmortem template returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateIncidentPostmortemTemplate"] = true;
const apiInstance = new v2.IncidentsApi(configuration);

const params: v2.IncidentsApiUpdateIncidentPostmortemTemplateRequest = {
  body: {
    data: {
      attributes: {
        confluencePostmortemSettings: {
          accountId: "123456",
          parentId: "345678",
          spaceId: "789012",
        },
        content:
          "# Overview\n\n# What Happened\n\n# Timeline\n\n# Action Items",
        googleDocsPostmortemSettings: {
          accountId: "123456",
          parentFolderId: "789012",
        },
        isDefault: new Date(2024, 1, 1, 0, 0, 0, 0),
        location: "datadog_notebooks",
        name: "Standard Postmortem Template",
      },
      id: "00000000-0000-0000-0000-000000000000",
      relationships: {
        incidentType: {
          data: {
            id: "00000000-0000-0000-0000-000000000009",
            type: "incident_types",
          },
        },
      },
      type: "postmortem_templates",
    },
  },
  templateId: "template_id",
};

apiInstance
  .updateIncidentPostmortemTemplate(params)
  .then((data: v2.PostmortemTemplateResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"